function DoHUDClothesWindow(fromShop, swapButtonName)

	return HUDClothesWindow {
	
		-- Name the window
		name="hudclotheswindow",
	
		x=0,
		y=0,
		w=1024,
		h=768,
		
		Bitmap {
			name="backgroundimage",
			image="screens/global/hud_shop_export/hudclothes.png",
		},
		
		ClothesSetList {
			x = 0,
			y = 0,
			w = 1024,
			h = 768,
			
			name = "clothessetlist",
		},
		
		SetStyle( MenuButtonStyle ),

		Button
		{
			x=0,
			y=657,
			w=100,
			name="map",
			MenuButtonLabel("map"),
			type = kPush,
			graphics = {
				"screens/global/hud_shop_export/bouton01_off.png",
				"screens/global/hud_shop_export/bouton01_on.png",
				"screens/global/hud_shop_export/bouton01_off.png"
			},
		},

		Button
		{
			x=0,
			y=708,
			w=120,
			name="menu",
			MenuButtonLabel("menu"),
			type = kPush,
			graphics = {
				"screens/global/hud_shop_export/bouton02_off.png",
				"screens/global/hud_shop_export/bouton02_on.png",
				"screens/global/hud_shop_export/bouton02_off.png"
			},
		},
	};
end